Welcome to wxWidgets, a free and open source cross-platform C++ framework for writing advanced GUI applications using native controls.

wxWidgets 3.2.3 is part of 3.2 stable branch. This means that it is API _and_ ABI-compatible with the previous 3.2.x releases, i.e. the applications previously built using 3.2.2 or earlier shared libraries will continue working with this release even without recompiling when using shared libraries and can be rebuilt without any changes to the code otherwise.

We recommend using this version for any new wxWidgets applications. Existing applications using wxWidgets 3.0 or 3.1 shouldn't require any special effort to upgrade to this version too, so please try upgrading them to it.

Please see [**README**](https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.2.3/docs/readme.txt) for more information about this release and the [change log](https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.2.3/docs/changes.txt) for more details of the changes in it.


## Source Files and Documentation

If you intend to build wxWidgets from sources (which is recommended), please do **NOT** download the files using the "Source code" links just above, which are automatically generated by GitHub and don't contain the submodules sources which are necessary for building wxWidgets.

Instead, download one of [wxWidgets-3.2.3.zip](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.3/wxWidgets-3.2.3.zip) or [wxWidgets-3.2.3.7z](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.3/wxWidgets-3.2.3.7z), for much smaller size, for Microsoft Windows systems or [wxWidgets-3.2.3.tar.bz2](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.3/wxWidgets-3.2.3.tar.bz2) for Unix ones, including macOS. These archives have exactly the same contents, but use the line endings appropriate for the corresponding platform.

In addition, we provide archives containing the documentation in either HTML or Microsoft CHM formats. Notice that the documentation is also [available online](https://docs.wxwidgets.org/3.2.3).

Finally, Microsoft Windows users may download [Setup.exe file](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.3/wxMSW-3.2.3-Setup.exe) containing both sources and documentation, however please note that this file does _not_ contain any binaries, please see below for those.

To verify your download please use the following SHA-1 checksums:

    0a4dedf76291f8ff6141697b90caf9eed78687d0 *wxMSW-3.2.3-Setup.exe
    53c0f1c50dfd902f77bff08042804750a82c21e7 *wxWidgets-3.2.3-docs-chm.zip
    99fb17261f507ee398bd5e1669f3197538caf6b5  wxWidgets-3.2.3-docs-html.tar.bz2
    289ecc5833add00cf2515597419378261ffceb44  wxWidgets-3.2.3-docs-html.zip
    6abda29d675c506bcb66110e19fcae14b9ea6933  wxWidgets-3.2.3-headers.7z
    4542dc911b654ddfd5044c0e4548e6823e454038  wxWidgets-3.2.3.7z
    694c4788aaf390983183a8648145eb883715c3d5  wxWidgets-3.2.3.tar.bz2
    8ecc70034bf7d6ab8725114eb745404553cdf8dc *wxWidgets-3.2.3.zip

## Binaries

We provide pre-built binary files for the following compilers:

* Microsoft Visual C++ compiler versions 9.0, 10.0, 11.0, 12.0, 14.0, 14.1, 14.2 and 14.3 (corresponding to marketing product names of Microsoft Visual Studio 2008, 2010, 2012, 2013, 2015, 2017, 2019 and 2022 respectively). Please note that MSVC 14.x versions are ABI-compatible and the same set of binaries is used for all of them.
* MinGW-w64 versions 7.3 and 8.1 (32-bit binaries use SJLJ exceptions, 64-bit ones use SEH, and all binaries use Win32 threads).
* [TDM-GCC](https://jmeubank.github.io/tdm-gcc/) 10.3.0.
* [MSYS2](https://www.msys2.org/) MinGW 12.2.0 and 13.2.0.

### For Developers

For developing applications with wxWidgets you need to download the compiler-independent `wxWidgets-3.2.3_Headers.7z` file and one of `wxMSW-3.2.3-vcXXX_Dev.7z` or `wxMSW-3.2.3_gccXXX_Dev.7z` files depending on your compiler, its version and the target architecture (x86 if not specified or x64).

Unpack both files into the same directory so that `include` and `lib` directories are at the same level after unpacking. You should be able to compile and link applications using wxWidgets in both debug and release modes but the debug symbols are provided only for debug libraries in this archive, see below for the release build debug symbols.

Note that if you're setting up a new project using these binaries, the simplest way to do it is to use the provided `wxwidgets.props` file: for this, open the `View|Property Manager` menu item in the IDE, select "Add Existing Property Sheet..." from the project context menu and browse to this file in the file open dialog.

### For End Users

End users may download one of `wxMSW-3.2.3_vcXXX_ReleaseDLL.7z` or `wxMSW-3.2.3_gccXXX_ReleaseDLL.7z` files to get just the DLLs required for running the applications using wxWidgets.

### For Debugging

* Microsoft Visual C++ users: Files `wxMSW-3.2.3_vcXXX_ReleasePDB.7z` contain the debug symbols for the release build of the DLLs. Download them if you want to debug your own applications in release build or if you want to get meaningful information from mini-dumps retrieved from your users machines.
* MinGW-TDM users: Currently the debug symbols are not available for the release build of the DLLs (only the debug versions of the DLLs contains the debug symbols).

### Binary File Download Verification

To verify your download please use the following SHA-1 checksums:

    115d3f68c47982dc51aa5de514c0fb5bb6c06b62 wxMSW-3.2.3_gcc730_Dev.7z
    3d7d0aad6793bcaf9cd6b50d24075ac9bb88376d wxMSW-3.2.3_gcc730_ReleaseDLL.7z
    4a54ad28a26a940694769efa703f4eab46db5b3e wxMSW-3.2.3_gcc730_x64_Dev.7z
    b10b86d89b135eabf899eea61ae5f8650252bbea wxMSW-3.2.3_gcc730_x64_ReleaseDLL.7z
    b2b9bdf38f43a31abf57a49d8021e775458abdb5 wxMSW-3.2.3_gcc810_Dev.7z
    2a0dfb643f398d3529f2ab0319f356faa92d8cef wxMSW-3.2.3_gcc810_ReleaseDLL.7z
    8d0e423901b144586c43140a76da357bfa5f8d2b wxMSW-3.2.3_gcc810_x64_Dev.7z
    32c0ed9c10c3b1c33cbd48a72d021c53f6b33de3 wxMSW-3.2.3_gcc810_x64_ReleaseDLL.7z
    cace017af9b2a7b340ff2a5d11b58862b0666057 wxMSW-3.2.3_gcc1030TDM_Dev.7z
    42454a56f60d2b5734f6b192a2929f69a7b71806 wxMSW-3.2.3_gcc1030TDM_ReleaseDLL.7z
    4d6fde760531c8293d768984ead043cb44cfd6b9 wxMSW-3.2.3_gcc1030TDM_x64_Dev.7z
    bb4046773b6f1c78477a890bc73a4c88b508cc11 wxMSW-3.2.3_gcc1030TDM_x64_ReleaseDLL.7z
    2cd4a5aa28d98909203e8c3166bfd8cdfef92c4b wxMSW-3.2.3_gcc1220_Dev.7z
    7ee52571ce5c14a4d6005c27de73dcfc9e5cabb4 wxMSW-3.2.3_gcc1220_ReleaseDLL.7z
    5fdd9525d845c6e97156caf3a6b7a67edb5191c3 wxMSW-3.2.3_gcc1220_x64_Dev.7z
    fca2f69dbfbadb0964cedf4e03b3c145666e13b5 wxMSW-3.2.3_gcc1220_x64_ReleaseDLL.7z
    09e9c0a273788cbfd9cfd2504789bf4b4d019b1c wxMSW-3.2.3_gcc1320_Dev.7z
    95c980c27df6e03332bbe5c24751e274140ecc1a wxMSW-3.2.3_gcc1320_ReleaseDLL.7z
    99a0a14e1724f41b2dc959b66ee7745806b3bf8d wxMSW-3.2.3_gcc1320_x64_Dev.7z
    453f63f61ad6db398084eebf8492e6a3ae4cb3db wxMSW-3.2.3_gcc1320_x64_ReleaseDLL.7z
    c426f001c61a56bee6b897adc706dc9232caae7a wxMSW-3.2.3_vc90_Dev.7z
    5c6a7c24e76e534296ad0d310633e8429d043b8e wxMSW-3.2.3_vc90_ReleaseDLL.7z
    0e55433d14239e9311a59006d364a39e2601d254 wxMSW-3.2.3_vc90_ReleasePDB.7z
    907758e6600ec9f469121ce7d56d620e6b939ef9 wxMSW-3.2.3_vc90_x64_Dev.7z
    7997caf00f43327ddbc6762c0730a30bedc88668 wxMSW-3.2.3_vc90_x64_ReleaseDLL.7z
    eae258e65e71b8317d46038c6933ba1fa2d07b95 wxMSW-3.2.3_vc90_x64_ReleasePDB.7z
    77abaf6d0edad5f86d642925cdcf08f858f9b4a8 wxMSW-3.2.3_vc100_Dev.7z
    64c93f4bccd62d9ce94062d62b6616a59b35657a wxMSW-3.2.3_vc100_ReleaseDLL.7z
    69b8b44e364dc43c47e596be633909c52546c78d wxMSW-3.2.3_vc100_ReleasePDB.7z
    15dc3b94b295a269bd12243ace9e7a39591578f1 wxMSW-3.2.3_vc100_x64_Dev.7z
    fa19183110b97c75e6963e97b97db0e7df6b4a4a wxMSW-3.2.3_vc100_x64_ReleaseDLL.7z
    4e5ec08ce5fbdaafbf74d5ba5c24c884061b4c8a wxMSW-3.2.3_vc100_x64_ReleasePDB.7z
    7552d22e14a872518202894c25dc45fbcfe14a1d wxMSW-3.2.3_vc110_Dev.7z
    282a63b457a72014fe0a24b62856d5ba7e5c051a wxMSW-3.2.3_vc110_ReleaseDLL.7z
    bb07389fabd7d95e55f831b848dafe5e1048b9ab wxMSW-3.2.3_vc110_ReleasePDB.7z
    61c8782403054ad4753e9695adf40211598d71bd wxMSW-3.2.3_vc110_x64_Dev.7z
    f4de5911f8ba848a5fc5b2a52fdfcfac221eb3fd wxMSW-3.2.3_vc110_x64_ReleaseDLL.7z
    93143483ca117230b0705b36c2a68b84aa1d7139 wxMSW-3.2.3_vc110_x64_ReleasePDB.7z
    7c01031dfebc4226bc8f52361d6162e9d014d2e2 wxMSW-3.2.3_vc120_Dev.7z
    c17a2e1587580ca6eb97c8ddc1601ab409a978c1 wxMSW-3.2.3_vc120_ReleaseDLL.7z
    de559db9f4540d427b30a3a474ea9f1afe4b652c wxMSW-3.2.3_vc120_ReleasePDB.7z
    f4602fb14db6d9a8226fdb924808216d2b1dddb0 wxMSW-3.2.3_vc120_x64_Dev.7z
    6fdf55e7428a3761a03a136f59842d9a949fd415 wxMSW-3.2.3_vc120_x64_ReleaseDLL.7z
    f1f2b55b94fbb561fef77ae0b09e9e7433f3c0ff wxMSW-3.2.3_vc120_x64_ReleasePDB.7z
    ffe2e0d21c09fc51637c54d59b242cbfcf10b66f wxMSW-3.2.3_vc14x_Dev.7z
    22037a39a7151ee6711e3b1ffa12cf006320beea wxMSW-3.2.3_vc14x_ReleaseDLL.7z
    b3be20ccb22436e3968e7b68b8a3568880ace0d9 wxMSW-3.2.3_vc14x_ReleasePDB.7z
    c6a4859ee52147775dd36f2295910c8117bab9a6 wxMSW-3.2.3_vc14x_x64_Dev.7z
    0c4a7a4332bb983681b75f2d7b7bcc580f625570 wxMSW-3.2.3_vc14x_x64_ReleaseDLL.7z
    555588ae1059020be71f7162378bbdd14eed6541 wxMSW-3.2.3_vc14x_x64_ReleasePDB.7z

## Reporting Problems

Please report bugs to the [issue tracker](https://github.com/wxWidgets/wxWidgets/issues/new) or the [wx-users mailing list](http://groups.google.com/group/wx-users).
